diff options
author | Jim Meyering <jim@meyering.net> | 2002-10-13 13:33:05 +0000 |
---|---|---|
committer | Jim Meyering <jim@meyering.net> | 2002-10-13 13:33:05 +0000 |
commit | 6dafd5b2fcb0fa381725ca565a7905176e2fca27 (patch) | |
tree | 7f99791f9769eca44023dc488b17476b720e3c5a | |
parent | 25797575f8a2d5efdebb31f3cea578548898fa52 (diff) | |
download | coreutils-6dafd5b2fcb0fa381725ca565a7905176e2fca27.tar.xz |
whoops
-rwxr-xr-x | tests/du/deref | 7 |
1 files changed, 3 insertions, 4 deletions
diff --git a/tests/du/deref b/tests/du/deref index efa0caab0..0ff12ea93 100755 --- a/tests/du/deref +++ b/tests/du/deref @@ -16,9 +16,8 @@ framework_failure=0 mkdir -p $tmp || framework_failure=1 cd $tmp || framework_failure=1 mkdir -p a/sub || framework_failure=1 +ln -s a/sub slink || framework_failure=1 touch b || framework_failure=1 -ln -s a/sub A || framework_failure=1 -ln -s b B || framework_failure=1 if test $framework_failure = 1; then echo "$0: failure in testing framework" 1>&2 @@ -28,7 +27,7 @@ fi fail=0 # This used to fail with the following diagnostic: -# du: `B': No such file or directory -du -sD A B > /dev/null 2>&1 || fail=1 +# du: `b': No such file or directory +du -sD slink b > /dev/null 2>&1 || fail=1 (exit $fail); exit $fail |